package com.keao.edu.user.enums;

import com.keao.edu.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2020.06.18
 **/
public enum ExamStatusEnum implements BaseEnum<String, ExamStatusEnum> {
    SETTING("SETTING", "设置中"),
    NOT_START("NOT_START", "未开始"),
    APPLYING("APPLYING","报名中"),
    APPLIED("APPLIED", "报名结束"),
    EXAM_ING("EXAM_ING", "考试中"),
    EXAM_END("EXAM_END", "考试结束"),
    RESULT_CONFIRM("RESULT_CONFIRM", "确认考试结果"),
    CLOSE("CLOSE", "关闭");

    private String code;

    private String msg;

    ExamStatusEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }}
